package restx.converters;

import com.google.common.collect.ImmutableSet;
import restx.factory.*;
import restx.converters.DefaultConverters;


@Machine
public class DefaultConvertersFactoryMachine extends DefaultFactoryMachine {
    private static final DefaultConverters module = new DefaultConverters();

    public DefaultConvertersFactoryMachine() {
        super(0, new MachineEngine[] {
            new StdMachineEngine<restx.converters.StringConverter>(Name.of(restx.converters.StringConverter.class, "BooleanConverter"), BoundlessComponentBox.FACTORY) {
        
                @Override
                public BillOfMaterials getBillOfMaterial() {
                    return new BillOfMaterials(ImmutableSet.<Factory.Query<?>>of(
        
                    ));
                }

                @Override
                public restx.converters.StringConverter doNewComponent(SatisfiedBOM satisfiedBOM) {
                    return module.booleanConverter(
        
                    );
                }
            },
            new StdMachineEngine<restx.converters.StringConverter>(Name.of(restx.converters.StringConverter.class, "IntegerConverter"), BoundlessComponentBox.FACTORY) {
        
                @Override
                public BillOfMaterials getBillOfMaterial() {
                    return new BillOfMaterials(ImmutableSet.<Factory.Query<?>>of(
        
                    ));
                }

                @Override
                public restx.converters.StringConverter doNewComponent(SatisfiedBOM satisfiedBOM) {
                    return module.integerConverter(
        
                    );
                }
            },
            new StdMachineEngine<restx.converters.StringConverter>(Name.of(restx.converters.StringConverter.class, "LongConverter"), BoundlessComponentBox.FACTORY) {
        
                @Override
                public BillOfMaterials getBillOfMaterial() {
                    return new BillOfMaterials(ImmutableSet.<Factory.Query<?>>of(
        
                    ));
                }

                @Override
                public restx.converters.StringConverter doNewComponent(SatisfiedBOM satisfiedBOM) {
                    return module.longConverter(
        
                    );
                }
            },
            new StdMachineEngine<restx.converters.StringConverter>(Name.of(restx.converters.StringConverter.class, "DateTimeConverter"), BoundlessComponentBox.FACTORY) {
        
                @Override
                public BillOfMaterials getBillOfMaterial() {
                    return new BillOfMaterials(ImmutableSet.<Factory.Query<?>>of(
        
                    ));
                }

                @Override
                public restx.converters.StringConverter doNewComponent(SatisfiedBOM satisfiedBOM) {
                    return module.dateTimeConverter(
        
                    );
                }
            },
            new StdMachineEngine<restx.converters.StringConverter>(Name.of(restx.converters.StringConverter.class, "DateMidmnightConverter"), BoundlessComponentBox.FACTORY) {
        
                @Override
                public BillOfMaterials getBillOfMaterial() {
                    return new BillOfMaterials(ImmutableSet.<Factory.Query<?>>of(
        
                    ));
                }

                @Override
                public restx.converters.StringConverter doNewComponent(SatisfiedBOM satisfiedBOM) {
                    return module.dateMidmnightConverter(
        
                    );
                }
            },
        });
}
}
